Bug 291501 - update samba to 3.0.26a or later
update samba to 3.0.26a or later
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Samba Maint Team
:
Depends On:
Blocks: 372911 425996 426244
  Show dependency treegraph
 
Reported: 2007-09-14 15:29 EDT by Nalin Dahyabhai
Modified: 2008-05-21 13:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0372
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2007-09-14 15:29:21 EDT
We'd like to update Samba to version 3.0.26a or later.  3.0.26a is the current
version as I file this, but ideally we'll go to the latest version which is
available at the time when we look to freeze for a beta.
Comment 1 RHEL Product and Program Management 2007-10-19 16:26:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jay Turner 2007-11-22 07:32:39 EST
Can QE have some guidance on the changes involved, validation efforts required,
and general testing recommendations?  Conditional nack until we get some
clarification.
Comment 4 Simo Sorce 2007-12-12 11:15:57 EST
Jay,
3.0.x is in maintenance mode since the 3.0.26 release, only critical bufixes and
security bugfixes has been released since then. Also keep in mind our policy is
to eat a new release number every time we have a security release, 3.0.28,
without the security release would probably be really just 3.0.25d

This is a list of (relevant) fixes that went in to 3.0.28 since 3.0.25b.
Obviously we already patched and test for the security fixes an a couple of
regressions we fixed. 

For some of this fixes we have bugs open in bugzilla

Changes since 3.0.25b
    * Fix for CVS-2007-0615.
    * Add missing unbecome_root() calls in error path processing
      when failing to add local groups in create_local_nt_token().

    * BUG 4308: Add missing become_root/unbecome_root around calls of 
      add_aliases.  Add same changes in create_token_from_username()
      surrounding the call to getsampwsid().
    * BUG 4978: Ensure that DOS attributes are copied with folders.
    * Fix bug where tdb lock call interrupted with an alarm sig would 
      not terminate and could lead to runaway smbd processes.
    * Fix smbd crash bug which resulted from a regression in the patch
      for CVE-2007-4572 patch.
    * Prevent nmbd from adding non-initialized name to IP address
      mappings to it's WINS database.
    * Properly catch errors in the query_user() callback to avoid
      generated struct passwd replies with zero length usernames.
    * Prevent segv in winbindd running on a DC using the "idmap
      backend" syntax.
    * BUG 4781: Allow cleaning of /etc/mtab by canonicalizing mountpoint.
    * BUG 4028: Fix message popup sent via "smbclient -M".
    * BUG 4984: Filename unix_convert() fixes for WinNT 4.0 clients.
    * Fix crash bug in pidl generated client code caused by
      [in,out,unique] pointers.
    * Fix crash bug in the group mapping code.
    * BUG 4393: Prevent smbclient from dropping 0 bytes files from tar 
      archives.
    * Fixes for internal idmap domain list when "winbind trusted
      domains only" is enabled.
    * Fix 32/64-bit compatibility issues in the winbind request/response
      structures.

    * Fix for CVS-2007-4572.
    * Fix for CVE-2007-5398.
    * Additional fixes for CVS-2007-4572.

    * Fix read_sock() semantics in wb_common.c to address "invalid
      request size" errors in winbindd logs.
    * Fix use of pwrite() in tdb IO code paths.
    * Fix logic error in timeout of blocking lock processing.
    * Fix error code in the msrpc EnumerateDomainGroups() Winbind
      method when a memory allocation fails.
    * Fix Winbind initialization storms when contacting an older Samba DC.
    * BUG 4917: Fix memory leaks in Winbind's idmap_ldap and
      idmap_cache backends.
    * Coverity fixes in the group mapping code.
    * Remove NetBIOS keepalives from libsmbclient and consolidate on
      the use of getpeername() when checking connection health.
    * Use formal syntax for invoking function pointers in
      libsmbclient.
    * Fixes for Winbind's AD site support when the host is not
      configured in any site or nor DC's are present within the host's
      configured site.
    * Add sanity checks for "smb ports" values.
    * Fix compile issues related to the VFS "open" method and newer
      glibc implementations.
    * Fix a segv in smbldap_set_creds() when using an anonymous
      connection.
    * BUG 4772: Fix us of ldap_base_dn for the idmap_ldap plugin.

    * Fix CVE-2007-4138 in the "winbind nss info = {sfu | rfc2307}"
      plugin (idmap_ad.c)

    * Fix incorrect log messages in tdbbackup.
    * Fix a bug in pwrite error detection in tdb_expand_file().
    * BUG 4711: Make cli_connect() return NT_STATUS codes.
    * Ensure we obey Unicode consortium restrictions.  Based on 
      patch from MORIYAMA Masayuki.
    * BUG 3204: Cope with stalled winbindd child processes and 
      prevent the parent winbindd process from running out of file  
      descriptors.
    * Fix realloc leak on failure case from Jim Meyering.
    * BUG 4759: Fix crash in ber_printf() caused invalid tag.
    * BUG 4763: Limit notify responses to client max buf size.      
    * BUG 4777: Doing a DFS traverse through a deep link could fail
      (not using explorer).
    * BUG 4779: Setting the allocation size updates the modified 
      time as a write does.
    * BUG 4308: Fix interaction with MS Excel and POSIX ACLs.
    * Fix POSIX unlink bug found by the Linux CIFS fs client.
    * Stop counting locks if we get a POSIX lock request.
    * Fix interaction between Linux CIFS fs client and Windows
      clients when the former tries to remove a file opened by the 
      latter.
    * Fix incorrect mapping of invalid resume names in FindNext 
      commands.
    * Cope with dead entries in the locking database tied to 
      non-existent processes (merge from 3.2-ctdb).
    * Fix MS-DFS related renaming bug in smbclient.
    * Fix for write cache corruption bug.
    * Fix invalid vuid from being returned by a failed call to
      cli_session_setup_spnego.().
    * Fixes for error mappings from NT_STATUS to the appropriate DOS
      error codes in reply_opeNXXX() calls.
    * Only look at errno set by SMB_VFS_CLOSE() if the call actually 
      failed.
    * Fix vfs_readahead: transparent modules should always pass 
      through.
    * Remove redundant pointer checks when freeing memory in winbindd.
    * BUG 4408: Remove last traces of Heimdal KCM support.
    * Fix bug in user Krb5 ticket refresh feature in winbindd.
    * Fix Heimdal path in the krb5 renew routine.
    * Unused code cleanup in winbindd.
    * BUG 4750: smbc_telldir_ctx() was not returning a value useful 
      to smbc_lseekdir_ctx().
    * BUG 4836: Fix incorrect log message in the nss_info 
      plugin init call.
    * BUG 4849: Fix "net ads dns register" usage text.
    * Port cli_connect() NT_STATUS fixes to smbmount.
    * Add notes about smbfs/cifs to usage() in smb[u]mount.
    * BUG 4792: Fix pidfile name bug.
    * Fix missing END_PROFILE() call in the SMBunlink reply.
    * Coverity fixes.
    * Correct logic error in change notify code that would result in 
      an endless loop.
    * Fix uninitialized reads in the spoolss GetPrinterData() replies.
    * Fix file overwrites from Windows 9x clients.
    * Unused code cleanup.
    * Avoid a crash in "net rpc info" when no username has 
      been specified.
    * Get/Set ACL fixes in libsmbclient.
    * BUG 4860: Patches for fixing MS-DFS links with trailing 
      back slashes.
    * BUG 4719: "Must change password" is not set from usrmgr.exe.
    * Ensure proper exit when nmbd is unable to reopen the wins.tdb.
    * Fix error path memleaks in the messaging subsystem.
Comment 8 errata-xmlrpc 2008-05-21 13:26:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0372.html

Note You need to log in before you can comment on or make changes to this bug.